diff -Naur text2skin-1.3.2.orig/display.c text2skin-1.3.2/display.c
--- text2skin-1.3.2.orig/display.c	2012-04-07 20:45:11.000000000 +0200
+++ text2skin-1.3.2/display.c	2012-04-07 20:45:47.000000000 +0200
@@ -1233,17 +1233,17 @@
 
 	case tRecordingPriority:
 		return mRecording != NULL
-		       ? (cxType)mRecording->priority
+		       ? (cxType)mRecording->Priority()
 		       : (cxType)false;
 
 	case tRecordingLifetime:
 		return mRecording != NULL
-		       ? (cxType)mRecording->lifetime
+		       ? (cxType)mRecording->Lifetime()
 		       : (cxType)false;
 
 	case tRecordingDateTime:
 		return mRecording != NULL
-		       ? (cxType)TimeType(mRecording->start, Token.Attrib.Text)
+		       ? (cxType)TimeType(mRecording->Start(), Token.Attrib.Text)
 		       : (cxType)false;
 
 	case tRecordingTitle:
diff -Naur text2skin-1.3.2.orig/render.c text2skin-1.3.2/render.c
--- text2skin-1.3.2.orig/render.c	2012-04-07 20:45:11.000000000 +0200
+++ text2skin-1.3.2/render.c	2012-04-07 20:48:29.000000000 +0200
@@ -597,14 +597,14 @@
 		if (Marks) {
 			bool start = true;
 			for (const cMark *m = Marks->First(); m; m = Marks->Next(m)) {
-				txPoint pt(Pos.x + m->position * Size.w / Total, Pos.y);
+				txPoint pt(Pos.x + m->Position() * Size.w / Total, Pos.y);
 				if (Selected && start) {
 					const cMark *m2 = Marks->Next(m);
 					DrawRectangle(txPoint(pt.x, Pos.y + Size.h / 3), 
-					              txSize(((m2 ? m2->position : Total) - m->position) 
+					              txSize(((m2 ? m2->Position() : Total) - m->Position()) 
 					              * Size.w / Total + 1, Size.h - Size.h * 2 / 3 + 1), Selected);
 				}
-				DrawMark(pt, Size, start, m->position == Current, false, Mark, Cur);
+				DrawMark(pt, Size, start, m->Position() == Current, false, Mark, Cur);
 				start = !start;
 			}
 		}
@@ -614,15 +614,15 @@
 		if (Marks) {
 			bool start = true;
 			for (const cMark *m = Marks->First(); m; m = Marks->Next(m)) {
-				txPoint pt(Pos.x, Pos.y + m->position * Size.h / Total);
+				txPoint pt(Pos.x, Pos.y + m->Position() * Size.h / Total);
 				if (Selected && start) {
 					const cMark *m2 = Marks->Next(m);
 					DrawRectangle(txPoint(Pos.x + Size.w / 3, pt.y), 
 					              txSize(Size.w - Size.w * 2 / 3 + 1,
-					              ((m2 ? m2->position : Total) - m->position)
+					              ((m2 ? m2->Position() : Total) - m->Position())
 					              * Size.h / Total + 1), Selected);
 				}
-				DrawMark(pt, Size, start, m->position == Current, true, Mark, Cur);
+				DrawMark(pt, Size, start, m->Position() == Current, true, Mark, Cur);
 				start = !start;
 			}
 		}
diff -Naur text2skin-1.3.2.orig/common.c text2skin-1.3.2/common.c
--- text2skin-1.3.2.orig/common.c	2012-04-07 20:54:59.000000000 +0200
+++ text2skin-1.3.2/common.c	2012-04-07 20:56:00.000000000 +0200
@@ -255,11 +255,11 @@
 		int start = 1; // first frame
 		bool isStart = true;
 
-		for (cMark *m = marks.First(); m; m = marks.GetNext(m->position)) {
+		for (cMark *m = marks.First(); m; m = marks.GetNext(m->Position())) {
 			if (isStart)
-				start = m->position;
+				start = m->Position();
 			else
-				length += (double)(m->position - start + 1 + diffIFrame) / (60 * FramesPerSecond); // [min]
+				length += (double)(m->Position() - start + 1 + diffIFrame) / (60 * FramesPerSecond); // [min]
 
 			isStart = !isStart;
 		}
diff -Naur text2skin-1.3.2.orig/status.c text2skin-1.3.2/status.c
--- text2skin-1.3.2.orig/status.c	2012-04-07 20:59:39.000000000 +0200
+++ text2skin-1.3.2/status.c	2012-04-07 21:01:12.000000000 +0200
@@ -314,7 +314,7 @@
 
 	case tReplayDateTime:
 		return mReplay != NULL
-		       ? (cxType)TimeType(mReplay->start, Token.Attrib.Text)
+		       ? (cxType)TimeType(mReplay->Start(), Token.Attrib.Text)
 		       : (cxType)false;
 
 	case tReplayShortText:
